java.lang.IllegalArgumentException: This component requires that you specify a valid android:textAppearance attribute

I have a com.google.android.material.button.MaterialButton component in one of my layout file and I get this error when I am using the latest version of the Material Components library (com.google.android.material:material:1.0.0-alpha3):

java.lang.IllegalArgumentException: This component requires that you specify a valid android:textAppearance attribute.

It wasn’t present in 1.0.0-alpha1. Is this a bug in the library or should I just specify a textAppearance attribute from now?

Answer

Does your theme extend from Theme.MaterialComponents? More info about how to ensure all the components will work correctly can be found at https://material.io/develop/android/docs/getting-started/

Leave a Reply

Your email address will not be published. Required fields are marked *